Create custom dimension value
Creates a new value for the given custom dimension definition. Returns 403 when the organization does not exist or the authenticated user is not an administrator of it. Returns 404 when the custom dimension definition is not found or has been deleted. Returns 409 when a value with the same id already exists in the definition.
curl --request POST \
--url https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions/{definitionId}/values \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "CC-001",
"value": "Marketing",
"sortOrder": 0
}
'import requests
url = "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions/{definitionId}/values"
payload = {
"id": "CC-001",
"value": "Marketing",
"sortOrder": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: 'CC-001', value: 'Marketing', sortOrder: 0})
};
fetch('https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions/{definitionId}/values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions/{definitionId}/values",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => 'CC-001',
'value' => 'Marketing',
'sortOrder' => 0
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions/{definitionId}/values"
payload := strings.NewReader("{\n \"id\": \"CC-001\",\n \"value\": \"Marketing\",\n \"sortOrder\": 0\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions/{definitionId}/values")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"CC-001\",\n \"value\": \"Marketing\",\n \"sortOrder\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions/{definitionId}/values")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"CC-001\",\n \"value\": \"Marketing\",\n \"sortOrder\": 0\n}"
response = http.request(request)
puts response.read_body{
"id": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
"value": "Marketing",
"sortOrder": 0,
"startDate": null,
"endDate": null
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
String. The organization's internal ID (32-character hex string) or its externalSourceId. When the value matches the format of an internal ID, the internal ID takes precedence.
"11adfe2a080040e3892ffb89c21ec44e"
String. The ID of the custom dimension definition to add a value to, as returned in the id field of the GET definition response.
"abc123def456abc123def456abc123de"
Body
Caller-supplied identifier for this value. Must be unique within the dimension definition.
255Display text of the dimension value. Must be non-empty and not whitespace-only.
255Sort position of the value within the list.
Date from which this value is active. ISO 8601 format.
Date until which this value is active. ISO 8601 format.
Response
Created — returns the newly created custom dimension value
Unique identifier of the dimension value.
Display text of the dimension value.
Sort position of the value within the list. Null when not set.
Date from which this value is active. Null when not set.
Date until which this value is active. Null when not set.
curl --request POST \
--url https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions/{definitionId}/values \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "CC-001",
"value": "Marketing",
"sortOrder": 0
}
'import requests
url = "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions/{definitionId}/values"
payload = {
"id": "CC-001",
"value": "Marketing",
"sortOrder": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: 'CC-001', value: 'Marketing', sortOrder: 0})
};
fetch('https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions/{definitionId}/values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions/{definitionId}/values",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => 'CC-001',
'value' => 'Marketing',
'sortOrder' => 0
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions/{definitionId}/values"
payload := strings.NewReader("{\n \"id\": \"CC-001\",\n \"value\": \"Marketing\",\n \"sortOrder\": 0\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions/{definitionId}/values")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"CC-001\",\n \"value\": \"Marketing\",\n \"sortOrder\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions/{definitionId}/values")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"CC-001\",\n \"value\": \"Marketing\",\n \"sortOrder\": 0\n}"
response = http.request(request)
puts response.read_body{
"id": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
"value": "Marketing",
"sortOrder": 0,
"startDate": null,
"endDate": null
}
